Debian Bug report logs - #606721
Fix FTBFS with ld --no-add-needed

version graph

Package: stopmotion; Maintainer for stopmotion is Barak A. Pearlmutter <bap@debian.org>; Source for stopmotion is src:stopmotion.

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Sat, 11 Dec 2010 08:48:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version stopmotion/0.6.2-1.1

Fixed in version stopmotion/0.6.2-1.2

Done: Mahyuddin Susanto <udienz@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>:
Bug#606721; Package stopmotion. (Sat, 11 Dec 2010 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>. (Sat, 11 Dec 2010 08:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fix FTBFS with ld --no-add-needed
Date: Sat, 11 Dec 2010 09:42:58 +0100
Package: stopmotion
Version: 0.6.2-1.1
Severity: important
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu natty ubuntu-patch
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

g++ -Wl,-O1 -o stopmotion config.o main.o domainfacade.o logger.o animation.o 
animationmodel.o frame.o nonguifrontend.o mainwindowgui.o qtfrontend.o 
runanimationhandler.o undoadd.o undomove.o undoremove.o camerahandler.o 
frameview.o undohistory.o flexiblespinbox.o menuframe.o flexiblelineedit.o 
soundhandler.o framepreferencesmenu.o editmenuhandler.o scene.o 
projectserializer.o packer.o ossdriver.o oggvorbis.o imagegrabber.o 
commandlinegrabber.o imagegrabthread.o preferencesmenu.o preferencestool.o 
modelhandler.o undonewscene.o undoremovescene.o undomovescene.o toolsmenu.o 
languagehandler.o videofactory.o videoencoder.o importtab.o framebar.o 
framethumbview.o scenearrowbutton.o scenethumbview.o thumbview.o exporttab.o 
externalchangemonitor.o helpwindow.o util.o externalcommand.o aboutdialog.o 
devices.o grab-ng.o struct-dump.o struct-v4l2.o struct-v4l.o drv0-v4l2.o 
drv1-v4l.o devicetab.o moc_mainwindowgui.o moc_qtfrontend.o 
moc_runanimationhandler.o moc_camerahandler.o moc_frameview.o 
moc_flexiblespinbox.o moc_menuframe.o moc_flexiblelineedit.o moc_soundhandler.o 
moc_framepreferencesmenu.o moc_editmenuhandler.o moc_preferencesmenu.o 
moc_modelhandler.o moc_toolsmenu.o moc_languagehandler.o moc_importtab.o 
moc_framebar.o moc_scenearrowbutton.o moc_scenethumbview.o moc_exporttab.o 
moc_externalchangemonitor.o moc_helpwindow.o moc_externalcommand.o 
moc_aboutdialog.o moc_devicetab.o    -L/usr/lib -L/usr/lib -lSDL -lxml2 
-lSDL_image -ltar -lvorbisfile -linotifytools -lQtGui -lQtCore -lpthread
/usr/bin/ld: frameview.o: undefined reference to symbol 'XSync'
/usr/bin/ld: note: 'XSync' is defined in DSO /usr/lib/libX11.so.6 so try adding 
it to the linker command line
/usr/lib/libX11.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[1]: *** [stopmotion] Error 1
make[1]: Leaving directory `/build/buildd/stopmotion-0.6.2'
make: *** [build-stamp] Error 2

patch at:
http://launchpadlibrarian.net/60471209/stopmotion_0.6.2-1.1_0.6.2-1.1ubuntu1.diff.gz

maybe there is a better way to add the X11 library




Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:27:55 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 01 May 2011 11:15:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>:
Bug#606721; Package stopmotion. (Tue, 10 Jan 2012 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mahyuddin Susanto <udienz@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>. (Tue, 10 Jan 2012 12:42:22 GMT) Full text and rfc822 format available.

Message #14 received at 606721@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: Debian Mentors <debian-mentors@lists.debian.org>
Cc: 565056@bugs.debian.org, 606721@bugs.debian.org, 612762@bugs.debian.org
Subject: RFS: stopmotion 0.6.2-1.2 (NMU to fix RC bugs)
Date: Tue, 10 Jan 2012 19:33:47 +0700
[Message part 1 (text/plain, inline)]
Dear mentors,

I am looking for a sponsor for my NMU of "stopmotion". it fixes #565056,
#606721, and #612762.

To access further information about this package, please visit the
following URL:

 http://mentors.debian.net/package/stopmotion

Alternatively, one can download the package with dget using this command:

 dget -x
http://mentors.debian.net/debian/pool/main/s/stopmotion/stopmotion_0.6.2-1.2.dsc

I would be glad if someone uploaded this package for me.

Kind regards,

Mahyuddin Susanto

http://bugs.debian.org/565056
http://bugs.debian.org/606721
http://bugs.debian.org/612762
-- 
[ Mahyuddin Susanto ] - http://udienz.web.id
GPG: 4096R/90B36C5B
[stopmotion_0.6.2-1.2.dsc.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>:
Bug#606721; Package stopmotion. (Sun, 04 Mar 2012 09:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Barak A. Pearlmutter" <barak@cs.nuim.ie>:
Extra info received and forwarded to list. Copy sent to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>. (Sun, 04 Mar 2012 09:06:34 GMT) Full text and rfc822 format available.

Message #19 received at 606721@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Mahyuddin Susanto <udienz@ubuntu.com>
Cc: debian-mentors@lists.debian.org, 606721@bugs.debian.org
Subject: Re: RFS: stopmotion 0.6.2-1.2 (NMU to fix RC bugs)
Date: Sun, 04 Mar 2012 09:00:51 +0000
I am happy to sponsor this upload; will dput the built package in a
moment.

Two tangential points.

First, examination of the source reveals that the packaging is quite
old, and could use some updating.

Second, upstream development has restarted in a git repo on
sourceforge.

					--Barak.




Reply sent to Mahyuddin Susanto <udienz@ubuntu.com>:
You have taken responsibility. (Sun, 04 Mar 2012 09:27:19 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 09:27:24 GMT) Full text and rfc822 format available.

Message #24 received at 606721-close@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: 606721-close@bugs.debian.org
Subject: Bug#606721: fixed in stopmotion 0.6.2-1.2
Date: Sun, 04 Mar 2012 09:24:27 +0000
Source: stopmotion
Source-Version: 0.6.2-1.2

We believe that the bug you reported is fixed in the latest version of
stopmotion, which is due to be installed in the Debian FTP archive:

stopmotion_0.6.2-1.2.diff.gz
  to main/s/stopmotion/stopmotion_0.6.2-1.2.diff.gz
stopmotion_0.6.2-1.2.dsc
  to main/s/stopmotion/stopmotion_0.6.2-1.2.dsc
stopmotion_0.6.2-1.2_amd64.deb
  to main/s/stopmotion/stopmotion_0.6.2-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606721@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mahyuddin Susanto <udienz@ubuntu.com> (supplier of updated stopmotion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Jan 2012 19:26:27 +0700
Source: stopmotion
Binary: stopmotion
Architecture: source amd64
Version: 0.6.2-1.2
Distribution: unstable
Urgency: low
Maintainer: Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Changed-By: Mahyuddin Susanto <udienz@ubuntu.com>
Description: 
 stopmotion - program for creating stop motion animations
Closes: 565056 606721 612762
Changes: 
 stopmotion (0.6.2-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/rules: add math and x11 library to fix FTBFS, Patch from Matthias
     Klose <doko@ubuntu.com>. (Closes: #565056, #606721)
   * Fix Crash when read single jpg files. Patch from Ying-Chun Liu (PaulLiu)
     <paulliu@debian.org>. (Closes: #612762)
Checksums-Sha1: 
 db85737ce534a2fb0514b170f93acffd2631a52f 1160 stopmotion_0.6.2-1.2.dsc
 60faf31cab0c8288ea0ef7a6ba837c0ddaa049c7 6077 stopmotion_0.6.2-1.2.diff.gz
 322644b46ea02ebbe6ecdaa117fb3590f4f03aaf 2341992 stopmotion_0.6.2-1.2_amd64.deb
Checksums-Sha256: 
 9baeb36e43a4fb9f915594f45beab6e1216e402cdc999066d2654c474210def1 1160 stopmotion_0.6.2-1.2.dsc
 21e7701ab676c91fdadeb3a8e4d6ca2bc5c3d4d114f9fb9efad1b6e04dc1df19 6077 stopmotion_0.6.2-1.2.diff.gz
 295b9cf566844df31ff7cecba93e119932dfbb820d291572baafac0ac65a13ad 2341992 stopmotion_0.6.2-1.2_amd64.deb
Files: 
 a793841ff2557f714ae6dcf8e0fde603 1160 x11 optional stopmotion_0.6.2-1.2.dsc
 741fe66e697975d796e137997cbc0dd3 6077 x11 optional stopmotion_0.6.2-1.2.diff.gz
 bc6dc5585ef2def6105134620b565760 2341992 x11 optional stopmotion_0.6.2-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9TLgkACgkQLz4Gnv7CP7LaUQCfXwGJskxJIjKxmuGT/U29VtiL
OI0AnjEysEeXHgLKKnLY3fwpVkW0MI7U
=QC6/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:34:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:34:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.